import { EventEmitter } from "../../stencil-public-runtime";
import { SocketService } from "../../utils/socket-service";
export declare class Ai12zCta {
    test: string;
    private cdnPath;
    private dirty;
    private isSubmitted;
    private pButtonText;
    private pPlaceholder;
    private pHelpText;
    private pNoResultsText;
    private errorMsg;
    private pheading;
    socketService: SocketService;
    isCta: boolean;
    dataKey: string;
    dataMode: string;
    configId: string;
    dataAttributes: string;
    options: {
        [key: string]: any;
    };
    excludeTags: Array<string>;
    includeTags: Array<string>;
    ctaSettings: any;
    el: HTMLElement;
    showModal: boolean;
    timer: any;
    questionCounter: number;
    formData: {
        search: string;
        displayText: string;
    };
    searchResults: any[];
    error: any;
    conversationId: any;
    canRender: boolean;
    chatHistory: any[];
    isChat: boolean;
    aiMessageId: any;
    thumbsId: string;
    imgFiles: any;
    announceMessage: string;
    showHistory: boolean;
    conversationHistory: any[];
    isRendered: boolean;
    errored: EventEmitter;
    buttonClicked: EventEmitter;
    messageSent: EventEmitter;
    messageReceived: EventEmitter;
    open: EventEmitter;
    close: EventEmitter;
    stateChanged: EventEmitter;
    clearResults: EventEmitter;
    clearInput: EventEmitter;
    stopStream: EventEmitter;
    startStream: EventEmitter<{
        search: string;
        maxQuestion?: boolean;
        chatData?: any;
        attributes?: any;
        imgFiles?: any;
    }>;
    survey: EventEmitter;
    formSubmitted: EventEmitter<any>;
    streamResponse: EventEmitter<any>;
    endResponse: EventEmitter<any>;
    isElementAvailable: EventEmitter<any>;
    openModal(): Promise<void>;
    setLocalData(): void;
    sendMessage(message: string, displayText?: string): Promise<void>;
    sendJSON(jsonData: any, displayText: string): Promise<void>;
    closeModal(): Promise<void>;
    handleKeyDown(ev: KeyboardEvent): void;
    surveyHandler(_state: any): void;
    formSubmittedHandler(event: CustomEvent): void;
    sendSurveyData: (surveyData: any) => Promise<void>;
    componentWillLoad(): Promise<void>;
    onDataKeyChange(_v: string): void;
    onDataModeChange(_v: string): void;
    detectTextByLang: () => void;
    clearSearchHistory(): void;
    handleOutsideClick(ev: MouseEvent): void;
    private announce;
    startTimer(): void;
    handleSubmit: (event: any, value: any, type: any, followUp: any, imgFiles: any, options?: {
        isHide: boolean;
    }) => Promise<void>;
    displaySearchResults: (results: any) => void;
    connectedCallback(): void;
    configCtaSettings(): Promise<void>;
    insertCustomCSS(css: string): void;
    componentDidLoad(): void;
    deleteChatHistoryHandler(event: CustomEvent): void;
    chatClickHandler(event: CustomEvent): void;
    defaultTemplate(): any;
    displayMessage(): any;
    render(): any;
}
